Raritan PX2/PX3 JSON-RPC API

LhxConfig.idl
1 /* SPDX-License-Identifier: BSD-3-Clause */
2 /*
3 * Copyright 2011 Raritan Inc. All rights reserved.
4 */
5
6 #ifndef __LHXMODEL_CONFIG_IDL__
7 #define __LHXMODEL_CONFIG_IDL__
8
9 #include <UserEvent.idl>
10
11 /** LHX Model */
12 module lhxmodel {
13
14 /** LHX Configuration Interface */
15 interface Config_1_0_1 {
16
17 constant int NO_ERROR = 0; ///< No error
18 constant int ERR_INVALID_PARAMS = 1; ///< Invalid parameters
19
20 /** LHX port communication settings */
21 structure ComSettings {
22 byte devAddr; ///< EMX/PX STBus address
23 byte lhxAddr; ///< LHX STBus address
24 };
25
26 /** Event: LHX port communication settings have changed */
27 valueobject ComSettingsChangedEvent extends event.UserEvent {
28 ComSettings oldSettings; ///< Settings before change
29 ComSettings newSettings; ///< Settings after change
30 };
31
32 /** Event: LHX port name has been changed */
33 valueobject PortNameChangedEvent extends event.UserEvent {
34 string oldName; ///< Name before change
35 string newName; ///< Name after change
36 };
37
38 /**
39 * Retrieve the LHX port communication settings.
40 *
41 * @return LHX port communication settings
42 */
43 ComSettings getComSettings();
44
45 /**
46 * Change the LHX port communication settings.
47 *
48 * @param settings New LHX port communication settings
49 *
50 * @return 0 if OK
51 * @return ERR_INVALID_PARAMS if any parameters are invalid
52 */
53 int setComSettings(in ComSettings settings);
54
55 /**
56 * Retrieve the LHX port name.
57 *
58 * @return LHX port name
59 */
60 string getName();
61
62 /**
63 * Change the LHX port name.
64 *
65 * @param name New LHX port name
66 *
67 * @return 0 if OK
68 * @return ERR_INVALID_PARAMS if any parameters are invalid
69 */
70 int setName(in string name);
71 };
72
73 }
74
75 #endif /* !__LHXMODEL_CONFIG_IDL__ */
76
lhxmodel::Config_1_0_1::ComSettings::lhxAddr
byte lhxAddr
LHX STBus address.
Definition: LhxConfig.idl:23
lhxmodel::Config_1_0_1::newName
string newName
Name after change.
Definition: LhxConfig.idl:35
lhxmodel::Config_1_0_1::ComSettings
LHX port communication settings.
Definition: LhxConfig.idl:21
lhxmodel
LHX Model.
Definition: Lhx.idl:14
lhxmodel::Config_1_0_1::newSettings
ComSettings newSettings
Settings after change.
Definition: LhxConfig.idl:29
lhxmodel::Config_1_0_1
LHX Configuration Interface.
Definition: LhxConfig.idl:15
lhxmodel::Config_1_0_1::ComSettings::devAddr
byte devAddr
EMX/PX STBus address.
Definition: LhxConfig.idl:22